Index: uspace/lib/device/include/hr.h
===================================================================
--- uspace/lib/device/include/hr.h	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/lib/device/include/hr.h	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -115,4 +115,11 @@
 } hr_vol_info_t;
 
+typedef enum {
+	HR_METADATA_NATIVE	= 0,
+	HR_METADATA_GEOM_MIRROR	= 1,
+	HR_METADATA_GEOM_STRIPE = 2,
+	HR_METADATA_LAST_DUMMY	= 3
+} hr_metadata_type_t;
+
 extern errno_t		 hr_sess_init(hr_t **);
 extern void		 hr_sess_destroy(hr_t *);
@@ -126,4 +133,5 @@
 extern const char	*hr_get_ext_status_msg(hr_ext_status_t);
 extern const char	*hr_get_layout_str(hr_level_t, uint8_t);
+extern const char	*hr_get_metadata_type_str(hr_metadata_type_t);
 
 #endif
Index: uspace/lib/device/src/hr.c
===================================================================
--- uspace/lib/device/src/hr.c	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/lib/device/src/hr.c	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -456,4 +456,18 @@
 }
 
+const char *hr_get_metadata_type_str(hr_metadata_type_t type)
+{
+	switch (type) {
+	case HR_METADATA_NATIVE:
+		return "Native HelenRAID metadata";
+	case HR_METADATA_GEOM_MIRROR:
+		return "GEOM::MIRROR";
+	case HR_METADATA_GEOM_STRIPE:
+		return "GEOM::STRIPE";
+	default:
+		return "Invalid metadata type value";
+	}
+}
+
 /** @}
  */
Index: uspace/srv/bd/hr/metadata/foreign/geom/mirror.c
===================================================================
--- uspace/srv/bd/hr/metadata/foreign/geom/mirror.c	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/metadata/foreign/geom/mirror.c	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -70,5 +70,5 @@
 static size_t		 meta_gmirror_get_size(void);
 static uint8_t		 meta_gmirror_get_flags(void);
-static metadata_type_t	 meta_gmirror_get_type(void);
+static hr_metadata_type_t meta_gmirror_get_type(void);
 static void		 meta_gmirror_dump(const void *);
 
@@ -372,5 +372,5 @@
 }
 
-static metadata_type_t meta_gmirror_get_type(void)
+static hr_metadata_type_t meta_gmirror_get_type(void)
 {
 	return 	HR_METADATA_GEOM_MIRROR;
Index: uspace/srv/bd/hr/metadata/native.c
===================================================================
--- uspace/srv/bd/hr/metadata/native.c	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/metadata/native.c	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -70,5 +70,5 @@
 static size_t		 meta_native_get_size(void);
 static uint8_t		 meta_native_get_flags(void);
-static metadata_type_t	 meta_native_get_type(void);
+static hr_metadata_type_t meta_native_get_type(void);
 static void		 meta_native_dump(const void *);
 
@@ -434,5 +434,5 @@
 }
 
-static metadata_type_t meta_native_get_type(void)
+static hr_metadata_type_t meta_native_get_type(void)
 {
 	return HR_METADATA_NATIVE;
Index: uspace/srv/bd/hr/superblock.c
===================================================================
--- uspace/srv/bd/hr/superblock.c	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/superblock.c	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -61,5 +61,5 @@
 };
 
-hr_superblock_ops_t *get_type_ops(metadata_type_t type)
+hr_superblock_ops_t *get_type_ops(hr_metadata_type_t type)
 {
 	assert(type >= HR_METADATA_NATIVE && type < HR_METADATA_LAST_DUMMY);
@@ -69,5 +69,5 @@
 
 errno_t find_metadata(service_id_t svc_id, void **rmetadata,
-    metadata_type_t *rtype)
+    hr_metadata_type_t *rtype)
 {
 	HR_DEBUG("%s()", __func__);
@@ -83,5 +83,5 @@
 		return EINVAL;
 
-	volatile metadata_type_t type = HR_METADATA_NATIVE;
+	volatile hr_metadata_type_t type = HR_METADATA_NATIVE;
 	for (; type < HR_METADATA_LAST_DUMMY; type++) {
 		meta_ops = hr_superblock_ops_all[type];
Index: uspace/srv/bd/hr/superblock.h
===================================================================
--- uspace/srv/bd/hr/superblock.h	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/superblock.h	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -41,10 +41,4 @@
 typedef struct hr_volume hr_volume_t;
 
-typedef enum {
-	HR_METADATA_NATIVE	= 0,
-	HR_METADATA_GEOM_MIRROR	= 1,
-	HR_METADATA_LAST_DUMMY	= 2
-} metadata_type_t;
-
 #define HR_METADATA_HOTSPARE_SUPPORT 0x01
 
@@ -66,10 +60,10 @@
 	size_t		 (*get_size)(void);
 	uint8_t		 (*get_flags)(void);
-	metadata_type_t	 (*get_type)(void);
 	void		 (*dump)(const void *);
+	hr_metadata_type_t (*get_type)(void);
 } hr_superblock_ops_t;
 
-hr_superblock_ops_t *get_type_ops(metadata_type_t);
-extern errno_t	find_metadata(service_id_t, void **, metadata_type_t *);
+extern hr_superblock_ops_t *get_type_ops(hr_metadata_type_t);
+extern errno_t	find_metadata(service_id_t, void **, hr_metadata_type_t *);
 
 #endif
Index: uspace/srv/bd/hr/util.c
===================================================================
--- uspace/srv/bd/hr/util.c	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/util.c	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -64,6 +64,6 @@
 static void	block_fini_dev_list(list_t *);
 static errno_t	hr_util_get_matching_md_svcs_list(list_t *, list_t *,
-    service_id_t, metadata_type_t, void *);
-static errno_t	hr_util_assemble_from_matching_list(list_t *, metadata_type_t);
+    service_id_t, hr_metadata_type_t, void *);
+static errno_t	hr_util_assemble_from_matching_list(list_t *, hr_metadata_type_t);
 static errno_t	hr_fill_svcs_list_from_cfg(hr_config_t *, list_t *);
 
@@ -77,5 +77,5 @@
 
 errno_t hr_create_vol_struct(hr_volume_t **rvol, hr_level_t level,
-    const char *devname, metadata_type_t metadata_type)
+    const char *devname, hr_metadata_type_t metadata_type)
 {
 	errno_t rc;
@@ -752,5 +752,6 @@
 
 static errno_t hr_util_get_matching_md_svcs_list(list_t *rlist, list_t *list,
-    service_id_t svc_id, metadata_type_t type_main, void *metadata_struct_main)
+    service_id_t svc_id, hr_metadata_type_t type_main,
+    void *metadata_struct_main)
 {
 	HR_DEBUG("%s()", __func__);
@@ -765,5 +766,5 @@
 
 		void *metadata_struct;
-		metadata_type_t type;
+		hr_metadata_type_t type;
 
 		rc = find_metadata(iter->svc_id, &metadata_struct, &type);
@@ -797,5 +798,5 @@
 
 static errno_t hr_util_assemble_from_matching_list(list_t *list,
-    metadata_type_t type)
+    hr_metadata_type_t type)
 {
 	HR_DEBUG("%s()", __func__);
@@ -930,5 +931,5 @@
 
 		void *metadata_struct_main;
-		metadata_type_t type;
+		hr_metadata_type_t type;
 
 		rc = find_metadata(iter->svc_id, &metadata_struct_main, &type);
@@ -947,8 +948,7 @@
 		if (rc != EOK)
 			goto error;
-
-		HR_DEBUG("found valid metadata on %s, "
-		    "will try to match other extents\n", svc_name);
-
+		HR_DEBUG("found valid metadata on %s (type = %s), matching "
+		    "other extents\n",
+		    svc_name, hr_get_metadata_type_str(type));
 		free(svc_name);
 
Index: uspace/srv/bd/hr/util.h
===================================================================
--- uspace/srv/bd/hr/util.h	(revision 75262d2f4df86c88815e7c9adb7fbc885c5da692)
+++ uspace/srv/bd/hr/util.h	(revision b883aa879e58aa6fb76e4bd0f1781f96cdb28c98)
@@ -68,5 +68,5 @@
 
 extern errno_t		 hr_create_vol_struct(hr_volume_t **, hr_level_t,
-    const char *, metadata_type_t);
+    const char *, hr_metadata_type_t);
 extern void		 hr_destroy_vol_struct(hr_volume_t *);
 extern hr_volume_t	*hr_get_volume(service_id_t);
